CC		= gcc
DEST		= ..
BINDIR		= $(DEST)/bin
ARCHDIR		= $(BINDIR)/$(ARCH)
MANDIR		= $(DEST)/man/man1
CFLAGS		= -g -UDEBUGGING -Wall
LDLIBS		=	
EXECS		= datadec

datadec_srcs	= datadec.c parser.c lexer.c struct.c decs.c optimize.c
datadec_objs	= datadec.o parser.o lexer.o struct.o decs.o optimize.o


all:	$(EXECS)

install:	$(EXECS)
	install -m 755 $(EXECS) $(ARCHDIR)
	install -m 644 c-datadec.man $(MANDIR)/datadec.1

clean:
	/bin/rm -f *.o a.out core $(EXECS)
	cd test; make clean

datadec:	$(datadec_objs)

datadec.o:      struct.h lexer.h parser.h decs.h optimize.h
decs.o:         struct.h decs.h
lexer.o:        struct.h lexer.h
optimize.o:	optimize.h struct.h
parser.o:       struct.h lexer.h parser.h
struct.o:       struct.h
